Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5GetGroup

Get the current HDF5 group name (full path), set with `PetscViewerHDF5PushGroup()`/`PetscViewerHDF5PopGroup()`.

## Synopsis

    PetscErrorCode PetscViewerHDF5GetGroup(PetscViewer viewer, const char path[], const char *abspath[])

Not Collective

## Input Parameters

- viewer - the `PetscViewer` of type `PETSCVIEWERHDF5`

- path - (Optional) The path relative to the pushed group

## Output Parameter

- abspath - The absolute HDF5 path (group)

## Notes

If path starts with ‘/’, it is taken as an absolute path overriding currently pushed group, else path is relative to the current pushed group. `NULL` or empty path means the current pushed group.

The output abspath is newly allocated so needs to be freed.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5Open()`, `PetscViewerHDF5PushGroup()`, `PetscViewerHDF5PopGroup()`, `PetscViewerHDF5OpenGroup()`, `PetscViewerHDF5WriteGroup()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

## Implementations

PetscViewerHDF5GetGroup_Internal() in src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c
PetscViewerHDF5GetGroup_HDF5() in src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages